//
//  CCAppDelegate.m
//  WordLearning
//
//  Created by neoman on 5/21/13.
//  Copyright (c) 2013 org.codesme. All rights reserved.
//

#import "CCAppDelegate.h"
#import "CCViewController.h"
#import "WordStore.h"

@implementation CCAppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    // Override point for customization after application launch.
    
    CCViewController *vController = [[CCViewController alloc] init];
    self.window.rootViewController = vController;
    self.window.backgroundColor = [UIColor whiteColor];
    [self.window makeKeyAndVisible];
    return YES;
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    BOOL successful = [[WordStore sharedStore] saveAllWords];
    
    if (successful) {
        NSLog(@"save all words successful");
    }
    else {
        NSLog(@"save all words fail");
    }
}

//- (void)applicationWillEnterForeground:(UIApplication *)application
//{
//    CCViewController *vc =(CCViewController *) self.window.rootViewController;
//    [vc fetchCurrentWord];
//}

@end
