//
//  ConnectionActor.m
//  WordLearning
//
//  Created by neoman on 5/21/13.
//  Copyright (c) 2013 org.codesme. All rights reserved.
//

#import "ConnectionActor.h"

static NSMutableArray *connections = nil;

@implementation ConnectionActor

@synthesize request, completion;

- (id)init
{
    self = [super init];
    
    if (self) {
        if (connections == nil) {
            connections = [[NSMutableArray alloc] init];
        }
        recievedData = [[NSMutableData alloc] init];
    }
    
    return self;
}

- (void)start
{
    innerConn = [[NSURLConnection alloc] initWithRequest:request delegate:self startImmediately:YES];
    [connections addObject:self];
}

- (void)connection:(NSURLConnection *)connection didReceiveData:(NSData *)data
{
    [recievedData appendData:data];
}

- (void)connectionDidFinishLoading:(NSURLConnection *)connection
{
    // TODO inform the object who init the request.
    completion(recievedData);
    [connections removeObject:self];
}

- (void)connection:(NSURLConnection *)connection didFailWithError:(NSError *)error
{
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Fail to load" message:[error localizedDescription] delegate:nil cancelButtonTitle:@"OK" otherButtonTitles: nil];
    
    [alert show];
    [connections removeObject:self];
}

@end
