//
//  WordStore.h
//  WordLearning
//
//  Created by neoman on 5/21/13.
//  Copyright (c) 2013 org.codesme. All rights reserved.
//

#import <Foundation/Foundation.h>

@class Word;

@interface WordStore : NSObject

+ (WordStore *)sharedStore;

- (BOOL)saveAllWords;

- (void)fetchAllWordsWithCompletion: (void (^)(void)) completion;

- (void)fetchAWordWithCompletion:(void (^)(Word *word)) acompletion;

- (void)fetchWordAudioWithName:(NSString *)word;

- (void)rememberWord:(Word *)word;

- (NSString *)rememberHowMany;

@end
